GNU bug report logs - #46665
28.0.50; undefined entry on M-S-x in org-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 46665 <at> debbugs.gnu.org and Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46665 <at> debbugs.gnu.org:


Received: (at 46665) by debbugs.gnu.org; 19 Jun 2022 13:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 09:48:09 2022
Received: from localhost ([127.0.0.1]:50931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2vHd-0008Li-9r
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 09:48:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2vHb-0008Km-Fn
 for 46665 <at> debbugs.gnu.org; Sun, 19 Jun 2022 09:48:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ju+/E8xBl1uh4WBW/EoLpGzHZ5nuS4WuyuzuDRuSMSE=; b=UjG7hKlpkWbnZr91oGgTyGZT/n
 JSBIjyKsR06vn9XFSj/Fm0dHIGUaAWFQzdYoW6TIBiHAk9qz4rrRqqBZhxur5iAsS05hW3HMMwFML
 0BIuhl5wH7n14nt9PS/cE5l3no0DEYLjcJvo2IKgFFw4EFf6Jmojy57mUCgJX4Zml5/M=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2vHS-0006S8-H5; Sun, 19 Jun 2022 15:48:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
Subject: Re: bug#46665: 28.0.50; undefined entry on M-S-x in org-mode
References: <CH2PR01MB5879F2D4E6FB4566C7F25DFC8B839@HIDDEN>
 <87o8gdk0ef.fsf@HIDDEN>
Date: Sun, 19 Jun 2022 15:47:57 +0200
In-Reply-To: <87o8gdk0ef.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 21 Feb 2021 14:36:56 +0100")
Message-ID: <871qvkwyr6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > We're discussing
 how commands like this are to be handled over on > emacs-devel,
 but no conclusion yet. The commands are `undefined', > `ignore',
 `digit-argument' and `negative-argument', which are [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46665
Cc: 46665 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> We're discussing how commands like this are to be handled over on
> emacs-devel, but no conclusion yet.  The commands are `undefined',
> `ignore', `digit-argument' and `negative-argument', which are common in
> keymaps, but aren't something that you'd want to `M-x'...  I think.

I've now fixed this in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46665; Package emacs. Full text available.

Message received at 46665 <at> debbugs.gnu.org:


Received: (at 46665) by debbugs.gnu.org; 21 Feb 2021 13:37:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 08:37:15 2021
Received: from localhost ([127.0.0.1]:53695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDovD-0003DQ-O8
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:37:15 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDov9-0003DA-HC
 for 46665 <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:37:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YMDGszBxE+ZhJRroUp5P/pxP0l1Jd4gNTZcQDGlzfR0=; b=mtPjgKcmboeKgIIV7/E4eXUly9
 Z3q2BjImLPmOomm5MIIIy57QWnzIrM4kT1F9Fy6pTWfzALnGDo1U+tYlESnxeeA3cBfQfR+HvKICN
 wS3jWS4+gHymZhyaxNl8OPFXqhmHk1cXbA2LaboveRCJm+WE/S+NJZCBNTAVL2vUgqzE=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDouz-0008Th-Oc; Sun, 21 Feb 2021 14:37:05 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
Subject: Re: bug#46665: 28.0.50; undefined entry on M-S-x in org-mode
References: <CH2PR01MB5879F2D4E6FB4566C7F25DFC8B839@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXv4c/BtaeJgHdW
 UUv///8yXQ++AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UCFQ0GEaNowHsAAAGkSURBVDjLXVOLFcMg
 CARdAM0Cigsksv9uBVFjw2sT4/HxDgQkWPauzAIXoJgpI3aCYlv6wAKx9atH5tYqCzexVe9sgDTO
 7elcxX79ynLxUzQVdw5Xy5wSM+tf/TgXQC7wb+wvZPoA8zvKnedOhUBNhukBMZkHU7jVFfWTrdLK
 glBj13c7I4pXiY+7vBGEZdcAnBHiuRK8iqVh80MgllVsPGlTCWU40wSS5wlSNIKm/1eIZfhApnEO
 1S2xBX7aFYQly/Axf+V+H+G2OwlaLlxAdD5pSTTkmQz/0jsPTw4ZPoYzrGn9UHDEBTribWvL+Q7X
 0V6smGmxul4ghUe73eaR0Iu3fp6NVI84glD7gy9j2sSCSBkk0oiqWz0HtlVY/QVvtbWW1hC4DJcK
 WbFOgKgeco23Z3cyx8XawNgKe2UAvnyS8qDBIi2JNJWuaaiiRUdOnBkZkRC+VnVa3EXnzC+FF692
 13CfzP+7M/j3pIR2o+Zs6+CmCaRzNHbxHBIvtUuU0uwI8pxOCgQ2HhkcsI7Q8tKhhUsB624sKDek
 GT5AB3S8uPwAvKgswflmujsAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDItMjFUMTM6MDY6MTcr
 MDA6MDAxgsZ6AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAyLTIxVDEzOjA2OjE3KzAwOjAwQN9+
 xgAAAABJRU5ErkJggg==
X-Now-Playing: Alfa Mist's _Blue Note Re:imagined (1)_: "Galaxy"
Date: Sun, 21 Feb 2021 14:36:56 +0100
In-Reply-To: <CH2PR01MB5879F2D4E6FB4566C7F25DFC8B839@HIDDEN>
 (Gabriel do Nascimento Ribeiro's message of "Sat, 20 Feb 2021 15:25:55
 -0300")
Message-ID: <87o8gdk0ef.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
 writes:
 > Steps: > - emacs -Q > - change to some buffer in org-mode > - press M-S-X
 > - there is an `undefined` entry in the Completions list We're discussing
 how commands like this are to be handled over on emacs-devel, but no conclusion
 yet. The commands are `undefined', `ignore',
 `digit-argument' and `negative-argument', 
 which are common [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46665
Cc: 46665 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN> writes:

> Steps:
> - emacs -Q
> - change to some buffer in org-mode
> - press M-S-X
> - there is an `undefined` entry in the Completions list

We're discussing how commands like this are to be handled over on
emacs-devel, but no conclusion yet.  The commands are `undefined',
`ignore', `digit-argument' and `negative-argument', which are common in
keymaps, but aren't something that you'd want to `M-x'...  I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46665; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2021 20:22:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 15:22:54 2021
Received: from localhost ([127.0.0.1]:52956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDYmD-00035g-M4
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 15:22:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:38198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel376@HIDDEN>) id 1lDYm9-00035W-N8
 for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 15:22:51 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57560)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1lDYm9-0000Oj-Ha
 for bug-gnu-emacs@HIDDEN; Sat, 20 Feb 2021 15:22:49 -0500
Received: from mail-mw2nam10olkn2041.outbound.protection.outlook.com
 ([40.92.42.41]:14561 helo=NAM10-MW2-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1lDYlw-0008WJ-Fs
 for bug-gnu-emacs@HIDDEN; Sat, 20 Feb 2021 15:22:49 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ZdJwEKAPUMCWjG5lBPIrKa6ieenGwUT1keT2TqWtvmhdhcFJuJVXICWFjzUh94+RbBr/9Lf58U+wSJcWQUb7iptyEjsIhO8Z0qnrCn8VvJr/QzngKHwTxWU3X7g7d6IjDN+0zmvwtRHwfPlv4qilDLb+6yb65yQQTVj6b0duGHr2sy+CiirYDlL89tZ1SnZVjVrmYpntr9xcPXx3Q9oBA63DEi5YfDz9To3Ce7anRVX2/1ZjVan/jic71oLSueVFeHf424dlhGuhMpbNcpo/7Slv6OydYxzWMhaoRvkItTUFXVrox91i4t6fBak3AyamsYLLnLI3W1IRGa8HwfOiKQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=ilhegKVYRbEX0OWWW4lGEWPGavS47qhkmg80BCFloYM=;
 b=Kx8BQ334g90OjnGRGb3TTDhosOutecMel7NVvJI6Q4KQTODRvEzBRKmOykJA//mTCHwaM5CNIdCPiFklGa/AYDb/3TaDNLWZxZ1ZiQzRQSgfxvNiwBeZQwE3KEt/IGaNip0hm5F1cQzqf90XdMFF21gHdXh3Jceg2ui70shNOPx1Ub/lKJNN4BZaf7KZgI5lz+kTDvPIYVVdEVHNFo4RunkyhWx2asXKGPt9NO1DGhKCOZUckqfBAx6svhuNF62914yC5NaYMzyT+UjR8VXM08ANXu9QhtfBnjhnv4kQMYWlxLd/jTsaaOsFij49gcYZZSGLPThhUPm1YPf8Y9UETA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=ilhegKVYRbEX0OWWW4lGEWPGavS47qhkmg80BCFloYM=;
 b=nbM4r3hP0IWfj/fqlwEmzU7fMQ4bDEWTN7sTXNv3bmEIL+e99eiMcC+so6yyl8gePxbJWE6ghIoBaK6ZjHv6l+lsVZPHFDuGWkuN6WmJajayZL7V4lrvW7PV9M3Uat1eB2t9Po+pYw4rQT2j8nn1JSpSG6riWlpoFvjuGqKvL9DLZ2J4TSALVGDsr6qn65TYJJGUXdYFeukcjDGaApc/d8wWH2DjURyzTUtpjXSBGNHtpfb1DHT7rs85Y4nBBRTzlb26gJs+/1NIvehKhB4Dd4ia2OkkgLb60UZoINW1FHutpYXO9SgddkLHDKlFptsuUzIT9hlXn4+nAa9t4qjNOA==
Received: from DM6NAM10FT043.eop-nam10.prod.protection.outlook.com
 (2a01:111:e400:7e86::47) by
 DM6NAM10HT092.eop-nam10.prod.protection.outlook.com (2a01:111:e400:7e86::397)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.27; Sat, 20 Feb
 2021 20:07:27 +0000
Received: from CH2PR01MB5879.prod.exchangelabs.com (2a01:111:e400:7e86::40) by
 DM6NAM10FT043.mail.protection.outlook.com (2a01:111:e400:7e86::421)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.27 via Frontend
 Transport; Sat, 20 Feb 2021 20:07:27 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:206EE6803798E787B33887C0F8534D5290D9DCD1CD531F92E204310F7306A27D;
 UpperCasedChecksum:015D4F6E1FCE4390E0D4195BF28C7C1A772D9F3553B2258CA898569616370668;
 SizeAsReceived:7507; Count:45
Received: from CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::592f:9a58:d8cd:d9c9]) by CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::592f:9a58:d8cd:d9c9%7]) with mapi id 15.20.3846.042; Sat, 20 Feb 2021
 20:07:27 +0000
From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#46665: 28.0.50; undefined entry on M-S-x in org-mode
References: <CH2PR01MB5879F2D4E6FB4566C7F25DFC8B839@HIDDEN>
 <831rdazica.fsf@HIDDEN>
Date: Sat, 20 Feb 2021 17:07:22 -0300
In-Reply-To: <831rdazica.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 20 Feb
 2021 20:48:05 +0200")
Message-ID: <CH2PR01MB587952398B2A03C97D3194ED8B839@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Content-Type: text/plain
X-TMN: [LGwDw2raztR60l8bsalWTfdZqnjCJ90CM0Z6IPza5k3Pwf5jewf8kMmaHTIjaUg3]
X-ClientProxiedBy: CP0PR80CA0014.lamprd80.prod.outlook.com
 (2603:10d6:103:14::26) To CH2PR01MB5879.prod.exchangelabs.com
 (2603:10b6:610:3c::12)
X-Microsoft-Original-Message-ID: <87wnv2ec5h.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from precision5540 (2804:431:c7f3:859f:6623:baa1:18c9:2d56) by
 CP0PR80CA0014.lamprd80.prod.outlook.com (2603:10d6:103:14::26) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3868.27 via Frontend Transport; Sat, 20 Feb 2021 20:07:26 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 45
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 386939b5-ccf2-4a1f-0662-08d8d5db2510
X-MS-TrafficTypeDiagnostic: DM6NAM10HT092:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 0uyrvCxB+G2X5vdlb9m5MgVnYkH6r1RFhu/ovZEL+1HKycYfdEqbtPXxNluzIs2Irm0ehGIEmBiOT2vVvyV8NOWawSKYQbnNuWlhusVmUuc8FSAUVxVwkrS1N8hxNSDrk7/EaJnP1vNdPnjdOYUGz1dYCqSo5/jJVqgWhVnR/uRZatDd6IM1Be8TkPSviqtfh3XiNCUIHVxX8FsuTNjUTB3kvRA2Sd3giGe3wHaHYCZ3WTlbDcg6T2S2b+egceDT+pwQnJDkSt37qGHwxWYUfRcf2M4+Wid5rbxlKW/CBgWE1MTjZVJ81si8RZjlbMaTRpn+0PbfOxrxVolMf+HGTiRJcbl0q5L8NiP+ZXr/ytExSBXRc8Axhm64sdcamcxbE9xvTTnjpcUkYubpiL/dEQ==
X-MS-Exchange-AntiSpam-MessageData: pvaZ9zasRcs6V90ZBDSKwXSFkgaN9KvUEh5vcRJngxLXws2+CWpNKtsP91ilaJ6Y6ZQynT2b3Ajdrl8KP0Ch0gjSN8BTVAEcQ/nzlxHjrvwzyzMLO/S2mBfwiHHsFIEUXJ/aRN2TTLiAMYhO9c9AsSWLg5X0MQ3/c84R7QF1mXh1xPDwTZCKiKPd9kKvlZgf7Gy0HLihVZBKwNxOKseXeQ==
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 386939b5-ccf2-4a1f-0662-08d8d5db2510
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 20 Feb 2021 20:07:27.3973 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: DM6NAM10FT043.eop-nam10.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6NAM10HT092
Received-SPF: pass client-ip=40.92.42.41; envelope-from=gabriel376@HIDDEN;
 helo=NAM10-MW2-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, RCVD_IN_MSPIKE_H2=-0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
>> Date: Sat, 20 Feb 2021 15:25:55 -0300
>> 
>> Steps:
>> - emacs -Q
>> - change to some buffer in org-mode
>> - press M-S-X
>> - there is an `undefined` entry in the Completions list
>
> Why is that a bug?
>
> Did you try "M-x undefined RET" or "C-h f undefined RET"?

I tried "M-x undefined RET" before opening the bug report and I got:
    "M-x u n d e f i n e d RET is undefined"
so I thought it was a bug.

Now reading the docstring with "C-h f" I am not sure if this command is
supposed to be listed on "M-S-x" or not.
    "Beep to tell the user this binding is undefined."

If it's okay to have this "undefined" command on "M-S-x", we can close
this bug report. Sorry for any noise.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46665; Package emacs. Full text available.

Message received at 46665 <at> debbugs.gnu.org:


Received: (at 46665) by debbugs.gnu.org; 20 Feb 2021 18:48:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 13:48:29 2021
Received: from localhost ([127.0.0.1]:52884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDXIq-0000r8-LF
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 13:48:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDXIo-0000qu-Mx
 for 46665 <at> debbugs.gnu.org; Sat, 20 Feb 2021 13:48:27 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49130)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDXIi-0000Uo-SK; Sat, 20 Feb 2021 13:48:20 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4145
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDXIi-0002GM-CN; Sat, 20 Feb 2021 13:48:20 -0500
Date: Sat, 20 Feb 2021 20:48:05 +0200
Message-Id: <831rdazica.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
In-Reply-To: <CH2PR01MB5879F2D4E6FB4566C7F25DFC8B839@HIDDEN>
 (message from Gabriel do Nascimento Ribeiro on Sat, 20 Feb 2021
 15:25:55 -0300)
Subject: Re: bug#46665: 28.0.50; undefined entry on M-S-x in org-mode
References: <CH2PR01MB5879F2D4E6FB4566C7F25DFC8B839@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46665
Cc: 46665 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
> Date: Sat, 20 Feb 2021 15:25:55 -0300
> 
> Steps:
> - emacs -Q
> - change to some buffer in org-mode
> - press M-S-X
> - there is an `undefined` entry in the Completions list

Why is that a bug?

Did you try "M-x undefined RET" or "C-h f undefined RET"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46665; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2021 18:41:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 13:41:29 2021
Received: from localhost ([127.0.0.1]:52866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDXC5-0000fm-I3
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 13:41:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:41960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel376@HIDDEN>) id 1lDXC3-0000fe-T1
 for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 13:41:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43290)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1lDXC2-0005rT-0r
 for bug-gnu-emacs@HIDDEN; Sat, 20 Feb 2021 13:41:27 -0500
Received: from mail-oln040092003083.outbound.protection.outlook.com
 ([40.92.3.83]:4043 helo=NAM02-BL2-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1lDXBw-0005y5-Ay
 for bug-gnu-emacs@HIDDEN; Sat, 20 Feb 2021 13:41:24 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Z33FCdNy2fNBtUW3aB+h8bbNoIYn8IBz10Jst7o2/GbOycgC6Crul6R4CLJTnIvJ0oiLTocyYClhEm3Dtaup0Qsarwdp+jEZWYK1CWlVLSqR3CXKsU8NtViMvTVURMBGZ0aj8pbhc4W+3tfshlAFYd+9lpHOwtiJHx69mo/Lc3wO7E/d9qPpLYujOJg6bc7/CY/OL5h3UppdueRqvkhfS2kd/jAiqT1CCcC1WDZaXFsv/bFFzx4RHupU+6or4wnD2wgBfILtND3wz/3LCmxXNvrN1eqW7EdloRnzTj/ArCmb/tIk1OAREspfmWVbLQbMJdIQxyq4sPpl67uUEttrjg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=btUsCXSQR42ID6+QnsFglkYK2rJzhkXwu0WuTuxHf8s=;
 b=CdC8SeTmeif1uPavFKGNp6QAfXiU3qFvum4hkcEVtL0/8h8seBVZwWtkRvwEY8N1KByNEmo3Qf2PezGvf3z7saXxSC4VlhpH1mcizcBv0izQT2VTmRWVlLMaLkPK8qGaZ7paZwmBvSkXy2AyeV8z3yPsJ2T99FRz97RAQII01uinJDBsUhQOt80rvnxyz9pHP1hnM6rz6BDfUZFHA3BTmyFVwYDNqhr++vwSOdIR9v9a3l0wMZs+OAsuBlQ9IqZXoUFiqhfCy/T+VjieOOguiod+6OilTqUyPNwbpbUrOfamTuAY37no79gAWXMZw3P4R0XNKEm3vKnXk8aNPQJapQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=btUsCXSQR42ID6+QnsFglkYK2rJzhkXwu0WuTuxHf8s=;
 b=t42IHBRBg9m+x54So692Ajpyu5K+yxSArvLDYcx875KJqhO6zrOhOQxSbiOd9orLovoREdiWfIN6T3Pzurc4zR8JRVPeQsh98u4cRNnLomtuXekuBA69u+DJV6jebaUvU1dLCPXd2NcK6pZlZ1PQGZjKFZ6vLi0ISNOSrqZnUDc4zXKkM2zzpZldx1q1zdsXpV+UKW6pdkkI2rzaGwgfuLvJ+c86RAa7N1dQtaTQEbj3JBUwtUdn6ZoLcx+EVSDypWn3S8bh/BkYGVYKj2r9DtYdtvij/KJdR8q59ZbGh52EtsX1fK8iT9J5gAupJa1x2fhIPFUrS5Mzljeq5cK7OQ==
Received: from CY1NAM02FT044.eop-nam02.prod.protection.outlook.com
 (10.152.74.55) by CY1NAM02HT264.eop-nam02.prod.protection.outlook.com
 (10.152.74.193) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.27; Sat, 20 Feb
 2021 18:26:14 +0000
Received: from CH2PR01MB5879.prod.exchangelabs.com (2a01:111:e400:7e45::45) by
 CY1NAM02FT044.mail.protection.outlook.com (2a01:111:e400:7e45::393)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.27 via Frontend
 Transport; Sat, 20 Feb 2021 18:26:14 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:D2A5D8F48E0343C94C53145032722FF02FE8B06D168F8438C5AF69FD29912F54;
 UpperCasedChecksum:71A8A178FFDCFFB3CC7430221A7608038A23F21A24D48684388B3075E5B6299E;
 SizeAsReceived:7232; Count:42
Received: from CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::592f:9a58:d8cd:d9c9]) by CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::592f:9a58:d8cd:d9c9%7]) with mapi id 15.20.3846.042; Sat, 20 Feb 2021
 18:26:14 +0000
From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; undefined entry on M-S-x in org-mode
Date: Sat, 20 Feb 2021 15:25:55 -0300
Message-ID: <CH2PR01MB5879F2D4E6FB4566C7F25DFC8B839@HIDDEN>
Content-Type: text/plain
X-TMN: [vrKaqbeA2gUleMj2YgM+8UKWLUUbgpFDGXsNKgSH7hzU6+CwmBEUjbbNWWNZn7sD]
X-ClientProxiedBy: CP2PR80CA0053.lamprd80.prod.outlook.com
 (2603:10d6:102:19::15) To CH2PR01MB5879.prod.exchangelabs.com
 (2603:10b6:610:3c::12)
X-Microsoft-Original-Message-ID: <87v9amsij0.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from precision5540 (2804:431:c7f3:859f:6623:baa1:18c9:2d56) by
 CP2PR80CA0053.lamprd80.prod.outlook.com (2603:10d6:102:19::15) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3868.27 via Frontend Transport; Sat, 20 Feb 2021 18:26:11 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 42
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 03f51911-9192-4039-5cce-08d8d5cd0078
X-MS-TrafficTypeDiagnostic: CY1NAM02HT264:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Q1Q9XbltGzzVdWL+ZWdXVc0IHd6aP+0/5CvsE9ebTgo095lypxCHvHRWd2jiAvJj2klegqtszfR9e+F8OFl2vmbud4WiyGvm8dDH/Fm5fBKnkabkndWE5IhuB5/09d+OFfHXm1nedUva5mMptvoSf9jeL4tBoUkgE4iWlo0e9PEfTxBsA0bHMVjiAz/m/RP3YILjrux4n8F2OYGoKWfU+bBD/h8IqHZIXoy00zC763XJNpRaKPJsAlPjJ7Yy9s7ZBRPXsm2+RyBkckL23EeSCxfExUeLbEwIQBRcc/D3TzBHXaJYeRG25WLCfgLrhaeMIidJe1tDM+nmp1lyK0zbdu0whX64jeWrbd7ajqvDYhXZgesqHB6R0xn7vfsA9d3WjdNWAUm2j7pKyxuxzaw/rg==
X-MS-Exchange-AntiSpam-MessageData: 4T+p5SGnYeDjULLMREBOi/UO044qXtNe8BthHeavgwAXAbIc/OHn3KT76ux1feF9j26tg1JJwKlMjrg6QH5Q5KeFKcJxeYCIDSq7fUwAlrviVx/cwYo6fj7s+HpFh86CDyGymW7OJBZKAQyrWxFeIdg3WwutFN7esRMHtOHM49cV0krtrmKFR/N4kZ6c1hCRc8nbPZ7Y97KFlxaPZNNNZQ==
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 03f51911-9192-4039-5cce-08d8d5cd0078
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 20 Feb 2021 18:26:14.2755 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: CY1NAM02FT044.eop-nam02.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CY1NAM02HT264
Received-SPF: pass client-ip=40.92.3.83; envelope-from=gabriel376@HIDDEN;
 helo=NAM02-BL2-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Steps:
- emacs -Q
- change to some buffer in org-mode
- press M-S-X
- there is an `undefined` entry in the Completions list




Acknowledgement sent to Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46665; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 19 Jun 2022 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.